Skip to main content
GET
/
api
/
v3
/
keys
List API keys
curl --request GET \
  --url https://api.lighton.ai/api/v3/keys \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.lighton.ai/api/v3/keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.lighton.ai/api/v3/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 123,
  "results": [
    {
      "id": "<string>",
      "name": "<string>",
      "prefix": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "scopes": [
        {
          "workspace_id": 123,
          "workspace_name": "<string>",
          "workspace_upload_method": "<string>",
          "workspace_datasource_type": "<string>",
          "role": "<string>"
        }
      ]
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}
{
"id": null,
"code": 400,
"error": "bad_request",
"detail": "Invalid query parameters.",
"doc_url": "https://developers.lighton.ai/errors#bad_request"
}
{
"id": null,
"code": 401,
"error": "unauthorized",
"detail": "Authentication credentials were not provided or are invalid.",
"doc_url": "https://developers.lighton.ai/errors#unauthorized"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

is_expired
boolean
page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

Paginated list of API keys belonging to the authenticated user.

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"